/*******************************************************************************
* File Name: Pins.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pins_ALIASES_H) /* Pins Pins_ALIASES_H */
#define CY_PINS_Pins_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define Pins_0			(Pins__0__PC)
#define Pins_0_PS		(Pins__0__PS)
#define Pins_0_PC		(Pins__0__PC)
#define Pins_0_DR		(Pins__0__DR)
#define Pins_0_SHIFT	(Pins__0__SHIFT)
#define Pins_0_INTR	((uint16)((uint16)0x0003u << (Pins__0__SHIFT*2u)))

#define Pins_1			(Pins__1__PC)
#define Pins_1_PS		(Pins__1__PS)
#define Pins_1_PC		(Pins__1__PC)
#define Pins_1_DR		(Pins__1__DR)
#define Pins_1_SHIFT	(Pins__1__SHIFT)
#define Pins_1_INTR	((uint16)((uint16)0x0003u << (Pins__1__SHIFT*2u)))

#define Pins_2			(Pins__2__PC)
#define Pins_2_PS		(Pins__2__PS)
#define Pins_2_PC		(Pins__2__PC)
#define Pins_2_DR		(Pins__2__DR)
#define Pins_2_SHIFT	(Pins__2__SHIFT)
#define Pins_2_INTR	((uint16)((uint16)0x0003u << (Pins__2__SHIFT*2u)))

#define Pins_3			(Pins__3__PC)
#define Pins_3_PS		(Pins__3__PS)
#define Pins_3_PC		(Pins__3__PC)
#define Pins_3_DR		(Pins__3__DR)
#define Pins_3_SHIFT	(Pins__3__SHIFT)
#define Pins_3_INTR	((uint16)((uint16)0x0003u << (Pins__3__SHIFT*2u)))

#define Pins_4			(Pins__4__PC)
#define Pins_4_PS		(Pins__4__PS)
#define Pins_4_PC		(Pins__4__PC)
#define Pins_4_DR		(Pins__4__DR)
#define Pins_4_SHIFT	(Pins__4__SHIFT)
#define Pins_4_INTR	((uint16)((uint16)0x0003u << (Pins__4__SHIFT*2u)))

#define Pins_5			(Pins__5__PC)
#define Pins_5_PS		(Pins__5__PS)
#define Pins_5_PC		(Pins__5__PC)
#define Pins_5_DR		(Pins__5__DR)
#define Pins_5_SHIFT	(Pins__5__SHIFT)
#define Pins_5_INTR	((uint16)((uint16)0x0003u << (Pins__5__SHIFT*2u)))

#define Pins_6			(Pins__6__PC)
#define Pins_6_PS		(Pins__6__PS)
#define Pins_6_PC		(Pins__6__PC)
#define Pins_6_DR		(Pins__6__DR)
#define Pins_6_SHIFT	(Pins__6__SHIFT)
#define Pins_6_INTR	((uint16)((uint16)0x0003u << (Pins__6__SHIFT*2u)))

#define Pins_7			(Pins__7__PC)
#define Pins_7_PS		(Pins__7__PS)
#define Pins_7_PC		(Pins__7__PC)
#define Pins_7_DR		(Pins__7__DR)
#define Pins_7_SHIFT	(Pins__7__SHIFT)
#define Pins_7_INTR	((uint16)((uint16)0x0003u << (Pins__7__SHIFT*2u)))

#define Pins_INTR_ALL	 ((uint16)(Pins_0_INTR| Pins_1_INTR| Pins_2_INTR| Pins_3_INTR| Pins_4_INTR| Pins_5_INTR| Pins_6_INTR| Pins_7_INTR))


#endif /* End Pins Pins_ALIASES_H */


/* [] END OF FILE */
